import m from "./index-extends.js";
import a from "./index-defineProperty.js";
import t, { forwardRef as s, PureComponent as d } from "react";
import f from "./index-Parser.js";
import p from "./index-getCurrentHref.js";
class o extends d {
  componentDidUpdate() {
    const {
      handleParse: e
    } = this.props;
    e();
  }
  render() {
    const {
      href: e = p(),
      children: r
    } = this.props;
    return t.createElement("span", {
      className: "fb-comments-count",
      "data-href": e
    }, r);
  }
}
a(o, "defaultProps", {
  href: void 0,
  children: void 0
});
s((n, e) => t.createElement(f, null, ({
  handleParse: r
}) => t.createElement(o, m({}, n, {
  handleParse: r,
  ref: e
}))));
